| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csplugincommon/renderstep/parserenderstep.h File Reference

Base class for render step loaders. More...

`#include "csextern.h"`
`#include "csutil/strhash.h"`
`#include "csutil/weakref.h"`
`#include "csutil/leakguard.h"`
`#include "iengine/rendersteps/icontainer.h"`
`#include "iengine/rendersteps/irenderstep.h"`
`#include "imap/services.h"`
`#include "iutil/document.h"`
`#include "iutil/objreg.h"`
`#include "iutil/plugin.h"`

Go to the source code of this file.

## Classes
class | csRenderStepParser
| Parser for render steps and render step lists. More...

## Detailed Description

Base class for render step loaders.

Definition in file parserenderstep.h.